Bug 228998 - Kernel panic in bridged environment
Summary: Kernel panic in bridged environment
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.4
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Thomas Graf
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-16 13:11 UTC by Pete Philips
Modified: 2014-06-18 08:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-03 13:02:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pete Philips 2007-02-16 13:11:05 UTC
Description of problem:

I am experiencing a kernel panic in very similar circumstances to a ticket on
the Netfilter bugzilla:

https://bugzilla.netfilter.org/bugzilla/show_bug.cgi?id=339

I have a Pentium 4 based system with four Marvell NICs using the sky2 driver.
One port is a standard interface for management of the box and two other form a
numbered bridge, br0. The third NIC is not used. One bridge interface and the
management interface are connected to a small hub.

Recently security scanning the management interface using the Qualys
vulnerability scanner a kernel panic would occur after only a few minutes of
scanning. A little investigation revealed the above bug in Netfilter.

So far I have rebuilt by own kernel and applied the fix suggested:

https://bugzilla.netfilter.org/bugzilla/attachment.cgi?id=133
with additional change:
https://bugzilla.netfilter.org/bugzilla/show_bug.cgi?id=339#c22

This fixes the kernel panic and the vulnerability scan proceeds to completion.

Version-Release number of selected component (if applicable):

Redhat Enterprise 4.4. Kernel 2.6.9-42.0.8 SMP.

How reproducible:

Every time when performing a Qualys vulnerability scan.


Steps to Reproduce:
1. Run Qualys scan
2. Observe kernel panic
3.
  
Actual results:
Kernel Panic

Expected results:
No Kernel Panic

Additional info:
If you need any further details such as packet traces etc, please let me know.

Comment 1 RHEL Product and Program Management 2007-05-09 07:28:06 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 2 RHEL Product and Program Management 2007-09-07 19:37:18 UTC
This request was previously evaluated by Red Hat Product Management
for inclusion in the current Red Hat Enterprise Linux release, but
Red Hat was unable to resolve it in time.  This request will be
reviewed for a future Red Hat Enterprise Linux release.

Comment 3 Thomas Graf 2008-06-13 20:41:57 UTC
Are you still experiencing the problem with a recent release?

Comment 4 Thomas Graf 2008-11-03 13:02:24 UTC
I'm closing this bugzilla as there was no answer to my ping. Feel free to
reopen the bug if the problem still occurs.


Note You need to log in before you can comment on or make changes to this bug.